<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.98.2/css/materialize.min.css">
    <title>ExamenMongo</title>
</head>

<body>
<div ng-app='examen'>
    <div ng-controller="PrincipalController">
        <div class="col s12">
            <button ng-click="cambiar(1)">Estudiantes</button>
            <button ng-click="cambiar(2)">Materias</button>
            <button ng-click="cambiar(3)">Profesores</button>
        </div>
        <div ng-show="botones.estudiantes" ng-controller="EstudiantesController">
            <div class="row">
                <form class="col s12" ng-submit="agregarNuevo(est)">
                    <div class="row">
                        <div class="input-field col s6">
                            <input id="first_name" type="text" class="validate" ng-model="est.nombre">
                            <label for="first_name">Nobre</label>
                        </div>
                        <div class="input-field col s6">
                            <input id="last_name" type="text" class="validate" ng-model="est.apellido">
                            <label for="last_name">Apellido</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="input-field col s6">
                            <input id="first_name" type="text" class="validate" ng-model="est.carrera">
                            <label for="first_name">Carrera</label>
                        </div>
                        <div class="input-field col s6">
                            <input id="last_name" type="text" class="validate" ng-model="est.semestre">
                            <label for="last_name">Semestre</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col s12">
                            <button class="waves-effect waves-light btn" type="submit">Agregar Nuevo</button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="row">
                <div class="col s12">
                    <table>
                        <thead>
                        <th>Nombre</th>
                        <th>Apellido</th>
                        <th>Carrera</th>
                        <th>Semestre</th>
                        <th></th>
                        </thead>
                        <tbody>
                        <tr ng-repeat="e in estudiantes">
                            <td>{{e.nombre}}</td>
                            <td>{{e.apellido}}</td>
                            <td>{{e.carrera}}</td>
                            <td>{{e.semestre}}</td>
                            <td><a class="waves-effect waves-light btn" ng-click="eliminar(e)">Eliminar</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div ng-show="botones.materias" ng-controller="MateriasController">
            <div class="row">
                <form class="col s12" ng-submit="agregar(mat)">
                    <div class="row">
                        <div class="input-field col s6">
                            <input id="first_name" type="text" class="validate" ng-model="mat.nombre">
                            <label for="first_name">Nobre</label>
                        </div>
                        <div class="input-field col s6">
                            <input id="last_name" type="text" class="validate" ng-model="mat.semestre">
                            <label for="last_name">Semestre</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="input-field col s6">
                            <input id="first_name" type="text" class="validate" ng-model="mat.carrera">
                            <label for="first_name">Carrera</label>
                        </div>
                        <div class="row">
                            <div class="col s12">
                                <button class="waves-effect waves-light btn" type="submit">Agregar</button>
                            </div>
                        </div>
                </form>
            </div>
            <div class="row">
                <div class="col s12">
                    <table>
                        <thead>
                        <th>Nombre</th>
                        <th>Semestre</th>
                        <th>Carrera</th>
                        <th></th>
                        </thead>
                        <tbody>
                        <tr ng-repeat="m in materias">
                            <td>{{m.nombre}}</td>
                            <td>{{m.semestre}}</td>
                            <td>{{m.carrera}}</td>
                            <td><a class="waves-effect waves-light btn" ng-click="eliminar(m)">Eliminar</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <div ng-show="botones.profesores" ng-controller="ProfesoresController">
            <div class="row">
                <form class="col s12" ng-submit="agregar(prof)">
                    <div class="row">
                        <div class="input-field col s6">
                            <input id="first_name" type="text" class="validate" ng-model="prof.nombre">
                            <label for="first_name">Nombre</label>
                        </div>
                        <div class="input-field col s6">
                            <input id="last_name" type="text" class="validate" ng-model="prof.materia">
                            <label for="last_name">Materia</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="input-field col s6">
                            <input id="first_name" type="text" class="validate" ng-model="prof.carrera">
                            <label for="first_name">Carrera</label>
                        </div>
                        <div class="row">
                            <div class="col s12">
                                <button class="waves-effect waves-light btn" type="submit">Agregar</button>
                            </div>
                        </div>
                </form>
            </div>
            <div class="row">
                <div class="col s12">
                    <table>
                        <thead>
                        <th>Nombre</th>
                        <th>Materia</th>
                        <th>Carrera</th>
                        <th></th>
                        </thead>
                        <tbody>
                        <tr ng-repeat="p in profesores">
                            <td>{{p.nombre}}</td>
                            <td>{{p.materia}}</td>
                            <td>{{p.carrera}}</td>
                            <td><a class="waves-effect waves-light btn" ng-click="eliminar(p)">Eliminar</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.98.2/js/materialize.min.js"></script>
</body>